package bilancr;

import javax.swing.DefaultComboBoxModel;

public class CiselnyIntervalComboBoxModel extends DefaultComboBoxModel {
    private final int dolnaHranica;
    private final int hornaHranica;

    public CiselnyIntervalComboBoxModel(int dolnaHranica, int hornaHranica) {
        this.dolnaHranica = dolnaHranica;
        this.hornaHranica = hornaHranica;
    }

    @Override
    public int getSize() {
        return hornaHranica - dolnaHranica + 1;
    }

    @Override
    public Object getElementAt(int index) {
        return dolnaHranica + index;
    }

    
}
