package bilancr;

import java.io.FileNotFoundException;

public class ParsovaniePolozkyException extends RuntimeException {

    public ParsovaniePolozkyException(int cisloRiadka, int ocakavanyPocetPoloziek, int skutocnyPocetPoloziek) {
       super(String.format("Zlyhalo parsovanie polozky, riadok %d, ocakava sa: %d poloziek, naslo sa %d.", 
               cisloRiadka, 
               ocakavanyPocetPoloziek, 
               skutocnyPocetPoloziek)); 
    }

    public ParsovaniePolozkyException(String message, Exception e) {
        super(message, e);
    }
    
}
